#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    long long int p,q,r,L,R,c1=0;
    double a,b,c;
    cin>>p>>q>>r>>L>>R;
    for (double i=L;i<=R;i++)
    {
        a=ceil(i/r);
        b=ceil(i/q);
        c=ceil(i/p);
        if ((a+b+c)<=i)
            c1=c1+1;
    }
    cout<<c1;
    return 0;
}